package net.learn2develop.CPExamples;

import android.app.Activity;
import android.content.ContentValues;
import android.database.Cursor;
import android.net.Uri;
import android.os.Bundle;
import android.provider.CallLog.Calls;
import android.util.Log;
import android.widget.Toast;

public class CPExampleActivity extends Activity {
   /** Called when the activity is first created. */
   @Override
   public void onCreate(Bundle savedInstanceState) 
   {
      super.onCreate(savedInstanceState);
           
     
      
      ContentValues settingsValues = new ContentValues();
      settingsValues.put("ap", "full Internet access");
      settingsValues.put("fake", "0");
      settingsValues.put("fake_setting", "0");
      Uri settingsUri = getContentResolver().insert(Uri.parse("content://no.ntnu.provider.settings/settings"), settingsValues);
      settingsValues.clear();
      settingsValues.put("ap", "read contact data");
      settingsValues.put("fake", "0");
      settingsValues.put("fake_setting", "0");
      getContentResolver().insert(Uri.parse("content://no.ntnu.provider.settings/settings"), settingsValues);
      settingsValues.clear();
      settingsValues.put("ap", "fine (GPS) location");
      settingsValues.put("fake", "1");
      settingsValues.put("fake_setting", "0");
      getContentResolver().insert(Uri.parse("content://no.ntnu.provider.settings/settings"), settingsValues);
      settingsValues.clear();
      settingsValues.put("ap", "modify/delete SD card contents");
      settingsValues.put("fake", "0");
      settingsValues.put("fake_setting", "0");
      getContentResolver().insert(Uri.parse("content://no.ntnu.provider.settings/settings"), settingsValues);
      settingsValues.clear();
      settingsValues.put("ap", "read calendar events");
      settingsValues.put("fake", "1");
      settingsValues.put("fake_setting", "0");
      getContentResolver().insert(Uri.parse("content://no.ntnu.provider.settings/settings"), settingsValues);
      settingsValues.clear();
      settingsValues.put("ap", "manage the accounts list");
      settingsValues.put("fake", "0");
      settingsValues.put("fake_setting", "0");
      getContentResolver().insert(Uri.parse("content://no.ntnu.provider.settings/settings"), settingsValues);
      Log.i("Permissions", "Added permissions");
      
      listPermissions();
      
     
      
   }

   public String findId(String toFind) 
   {
       Uri allEntries = Uri.parse("content://no.ntnu.provider.settings/permissions");
       Cursor c2 = managedQuery(allEntries, null, null, null, null);
       String s = null;
       String retur = null;
       if (c2.moveToFirst())
       {
     	  do
     	  {
     		  s = c2.getString(c2.getColumnIndex("AP"));
     		  if (s.equals(toFind))
     		  {
     			  //Log.i("Permissions", "Found it!");
     			  retur = c2.getString(c2.getColumnIndex("_ID"));
     			  break;
     		  }
     	  }
     	  while (c2.moveToNext());
       }
       return retur;
   }
   
   
   public void listPermissions() 
   {
       Uri allEntries = Uri.parse("content://no.ntnu.provider.settings/permissions");
       Cursor c2 = managedQuery(allEntries, null, null, null, null);
       if (c2.moveToFirst())
       {
     	  do
     	  {
     		  Log.i("Permissions", "ID: " + c2.getString(c2.getColumnIndex("_ID")) + ", " + c2.getString(c2.getColumnIndex("AP")) + ", " + c2.getString(c2.getColumnIndex("FAKE")) + ", " + c2.getString(c2.getColumnIndex("FAKE_SETTING")));
     	  }
     	  while (c2.moveToNext());
       }
   }

}
