package no.ntnu.stianren.applist;

import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStreamReader;
import java.util.ArrayList;
import java.util.List;
import java.util.Locale;

import org.apache.http.HttpEntity;
import org.apache.http.HttpResponse;
import org.apache.http.client.HttpClient;
import org.apache.http.client.methods.HttpGet;
import org.apache.http.impl.client.DefaultHttpClient;
import org.json.JSONArray;
import org.json.JSONException;
import org.json.JSONObject;

import android.app.Service;
import android.content.ContentResolver;
import android.content.Context;
import android.content.Intent;
import android.content.ContentValues;
import android.content.pm.ActivityInfo;
import android.content.pm.PackageInfo;
import android.content.pm.PackageManager;
import android.content.pm.PermissionInfo;
import android.content.pm.PackageManager.NameNotFoundException;
import android.content.res.Resources;
import android.database.Cursor;
import android.location.Address;
import android.location.Location;
import android.location.LocationManager;
import android.net.Uri;
import android.os.IBinder;
import android.util.Log;

public class PrivacyService extends Service {
	
		public static Double latitudeGPS = 0.00;
		public static Double longitudeGPS = 0.00;
		//public static Double lat;
		//public static Double lon;
		public static Double latitud = 0.00;
		public static Double longitud = 0.00;
		public static String country = "";
		public static String state = "";
		public static String city = "";
		public static String latLongString;
		public static String addressString; 
		static List <Address> addresses = null;
		public static Double[] adr;
		public static final String LOCFINDER_GPS_LOC = "no.ntnu.stianren.applist.action.LOCFINDER_GPS_LOC";
		public int choice;
		public String cityName;
		public String countryName;
		public String stateName;
		
		public static String locName;
		//public Cursor c;
		
		
		@Override
		public void onCreate() {

			super.onCreate();
			
			
			 
		}
			
			
	@Override
	public IBinder onBind(Intent intent) {
	// TODO: Replace with service binding implementation.
	return null;
	}
	
	@Override
	public void onStart(Intent intent, int startId) {
		
		Log.i("feilsking", "Service er startet");
		LocationManager locationManager;
		String context = Context.LOCATION_SERVICE;
		locationManager = (LocationManager)getSystemService(context);
		String provider = LocationManager.GPS_PROVIDER;
		Location location = locationManager.getLastKnownLocation(provider);
		getGPSLocation(location);
		
		 
		//updateWithNewLocation();
		 Log.i("service","onStart kjrer");
		 if(findValg(findId("fine (GPS) location")) == 0){
				
				longitud = longitudeGPS;
				latitud = latitudeGPS;
				
				Intent i = new Intent();
				i.setAction(LOCFINDER_GPS_LOC);
				i.putExtra("lon", longitud);
				i.putExtra("lat", latitud);
				sendBroadcast(i);
		 }
		 else if(findValg(findId("fine (GPS) location")) == 1){
			
			longitud = longitudeGPS;
			latitud = latitudeGPS;
			
			Intent i = new Intent();
			i.setAction(LOCFINDER_GPS_LOC);
			i.putExtra("lon", longitud);
			i.putExtra("lat", latitud);
			sendBroadcast(i);
		
		}else if(findValg(findId("fine (GPS) location")) == 2){
		
	
		
			cityName = updateWithNewLocation()[2];
			Log.i("feilsking", "cityname i PrivacyService"+cityName);
		
			//updateWithNewCoordinates(cityName);
		
			Intent i = new Intent();
					i.setAction(LOCFINDER_GPS_LOC);
					i.putExtra("lon", updateWithNewCoordinates(cityName)[1]);
					i.putExtra("lat", updateWithNewCoordinates(cityName)[0]);
					sendBroadcast(i);
		
		}else if(findValg(findId("fine (GPS) location")) == 3){
		
	
		
			stateName =  updateWithNewLocation()[1];
			Log.i("feilsking", "statename i PrivacyService"+stateName);
		
			
		
			Intent i = new Intent();
					i.setAction(LOCFINDER_GPS_LOC);
					i.putExtra("lon", updateWithNewCoordinates(stateName)[1]);
					i.putExtra("lat", updateWithNewCoordinates(stateName)[0]);
					sendBroadcast(i);
		
					
		}else if(findValg(findId("fine (GPS) location")) == 4){
		
			countryName = updateWithNewLocation()[0];

			Log.i("feilsking", "countryName i MyBroadcast"+countryName);
		
		
			Intent i = new Intent();
					i.setAction(LOCFINDER_GPS_LOC);
					i.putExtra("lon", updateWithNewCoordinates(countryName)[1]);
					i.putExtra("lat", updateWithNewCoordinates(countryName)[0]);
					sendBroadcast(i);
		
		 
		}else{

		
			Intent i = new Intent();
			i.setAction(LOCFINDER_GPS_LOC);
			i.putExtra("lon", 0.00);
			i.putExtra("lat", 0.00);
			sendBroadcast(i);
		}
	
	

	}
	
	
	 public static String[] updateWithNewLocation() {
    
 	addresses = getFromLocation(latitudeGPS, longitudeGPS, 3);
 	
 	StringBuilder countr = new StringBuilder();
 	StringBuilder st = new StringBuilder();
 	StringBuilder ci = new StringBuilder();
 	
 	if (addresses.size() > 0) {
			
			Address address = addresses.get(0);
				
					countr.append(address.getCountryName());
					st.append(address.getAdminArea());
					ci.append(address.getLocality());
					
 	 }
    		
		country = countr.toString();
		state = st.toString();
		city = ci.toString();
		
		String[] locArray = new String[3];
		locArray[0] = country;
		locArray[1] = state;
		locArray[2] = city;


		
		return locArray;
     }

     public static Double[] updateWithNewCoordinates(String name) {
     	String locName = name;
        
     	
     	//Geocoder gc = new Geocoder(this,Locale.getDefault());
     	
     	adr = getFromLocationName(locName, 3);
     	
     
     	//if (addresses.size() > 0) {
 			
     	
     			//Address address = addresses.get(0);
     			
     		//latitud = adr[0];
			//longitud = adr[1];
 					
     	return adr;
        		
     			

     				
     			
     }
     
		
	    public static List<Address> getFromLocation(double lat, double lon, int maxResults) {
	    	
	    	
	        String urlStr1 = "http://maps.google.com/maps/geo?q=" + lat + "," + lon + "&output=json&sensor=false";
	                String response1 = "";
	                List<Address> results1 = new ArrayList<Address>();
	                HttpClient client1 = new DefaultHttpClient();
	                
	                Log.d("ReverseGeocode", urlStr1);
	                try {
	                        HttpResponse hr1 = client1.execute(new HttpGet(urlStr1));
	                        HttpEntity entity1 = hr1.getEntity();

	                        BufferedReader br1 = new BufferedReader(new InputStreamReader(entity1.getContent()));

	                        String buff1 = null;
	                        while ((buff1 = br1.readLine()) != null)
	                                response1 += buff1;
	                } catch (IOException e) {
	                        e.printStackTrace();
	                }

	                JSONArray responseArray1 = null;
	                try {
	                        JSONObject jsonObject1 = new JSONObject(response1);
	                        responseArray1 = jsonObject1.getJSONArray("Placemark");
	                } catch (JSONException e) {
	                        return results1;
	                }

	                Log.d("ReverseGeocode", "" + responseArray1.length() + " result(s)");
	                
	                for(int i = 0; i < responseArray1.length() && i < maxResults-1; i++) {
	                	Locale locale2 = new Locale("en"); 
	                	Locale.setDefault(locale2);
	                	Address addr1 = new Address(Locale.getDefault());

	                        try {
	                                JSONObject jsl1 = responseArray1.getJSONObject(i);

	                                String addressLine = jsl1.getString("address");

	                                if(addressLine.contains(","))
	                                        addressLine = addressLine.split(",")[0];

	                                addr1.setAddressLine(0, addressLine);

	                                jsl1 = jsl1.getJSONObject("AddressDetails").getJSONObject("Country");
	                                addr1.setCountryName(jsl1.getString("CountryName"));
	                                addr1.setCountryCode(jsl1.getString("CountryNameCode"));
	                                results1.add(addr1);
	                                jsl1 = jsl1.getJSONObject("AdministrativeArea");
	                                addr1.setAdminArea(jsl1.getString("AdministrativeAreaName"));
	                                results1.add(addr1);
	                                 jsl1 = jsl1.getJSONObject("SubAdministrativeArea");
	                                 addr1.setSubAdminArea(jsl1.getString("SubAdministrativeAreaName"));
	                                 results1.add(addr1);
	                                 jsl1 = jsl1.getJSONObject("Locality");
	                                 addr1.setLocality(jsl1.getString("LocalityName"));
	                                 addr1.setThoroughfare(jsl1.getJSONObject("Thoroughfare").getString("ThoroughfareName"));
	                               

	                        } catch (JSONException e) {
	                                e.printStackTrace();
	                                continue;
	                        }

	                        results1.add(addr1);
	                }

	                return results1;
	    }
	
	
public static Double[] getFromLocationName(String name, int maxResults) {
	    	
	    	if(name.matches("Sr-Trndelag") == true){
	    		locName = "Troendelag";
	    		
	    	}else{
	    		locName = name;}
	    	
	    	Log.i("feilsking", "name: " +locName);
	        String urlStr2 = "http://maps.google.com/maps/api/geocode/json?address=" + locName + "ka&sensor=false";
	                String response2 = "";
	                Double[] adr = new Double[2];
	                //List<Address> results2 = new ArrayList<Address>();
	                HttpClient client2 = new DefaultHttpClient();
	                
	                Log.d("Geocode", urlStr2);
	                try {
	                        HttpResponse hr2 = client2.execute(new HttpGet(urlStr2));
	                        HttpEntity entity2 = hr2.getEntity();

	                        BufferedReader br2 = new BufferedReader(new InputStreamReader(entity2.getContent()));

	                        String buff2 = null;
	                        while ((buff2 = br2.readLine()) != null)
	                                response2 += buff2;
	                        
	                } catch (IOException e) {
	                        e.printStackTrace();
	                }

	                JSONArray responseArray2 = null;
	               
	                try {
	                        JSONObject jsonObject1 = new JSONObject(response2);
	                        responseArray2 = jsonObject1.getJSONArray("results");
	                } catch (JSONException e) {
	                        return adr;
	                }

	                Log.d("Geocode", "" + responseArray2.length() + " result(s)");
	                
	               // for(int i = 0; i < responseArray2.length() && i < maxResults-1; i++) {
	                	//Locale locale3 = new Locale("en"); 
	                	//Locale.setDefault(locale3);
	                	//Address addr2 = new Address(Locale.getDefault());
	                	Double lo = new Double(0);
	        			Double la = new Double(0);
	        			
	                        try {
	                                JSONObject jsl2 = responseArray2.getJSONObject(0);
	                               // String addressLine = jsl2.getString( "address");

	                                //if(addressLine.contains(","))
	                                  //      addressLine = addressLine.split(",")[0];

	                                //addr2.setAddressLine(0, addressLine);

	                               // jsl2 = jsl2.getJSONObject( "Point");
	                               // addr2.s(jsl2.getDouble("east"));
	                               
	                                jsl2 = jsl2.getJSONObject("geometry").getJSONObject("location");
	            					lo = jsl2.getDouble("lng");
	            					la = jsl2.getDouble("lat");
	            					Log.i("feilsking", "Lng + Lat:" +lo +" ," + la+"");
	                              // addr2.geometry.getLatLng().lat(),lng:record.geometry.getLatLng().lng()});

	                              
	                        } catch (JSONException e) {
	                                e.printStackTrace();
	                               
	                        }

	                        
	            			adr[0] = la;
	            			adr[1] = lo;
	                

	                return adr;
	        }
		private void getGPSLocation(Location location) {

				if (location != null) {
					latitudeGPS = location.getLatitude();
					longitudeGPS = location.getLongitude();
					
				}else{
					latitudeGPS = 63.419444;
					longitudeGPS = 10.4025;
;
					
				}
		}
		public String findId(String toFind) 
		{
			Uri allEntries = Uri.parse("content://no.ntnu.provider.settings/permissions");
			Cursor c1 = getContentResolver().query(allEntries, null, null, null, null);
			 
		    String s = null;
		    String retur = null;
		    
		    if (c1.moveToFirst())
		    {
		    	Log.i("Permissions", "if kjrer");
		    	do
		     	{
		    		s = c1.getString(c1.getColumnIndex("AP"));
		    		Log.i("Permissions", "String s:" +s);
		     		if (s.equals(toFind))
		     		{
		     			Log.i("Permissions", "Found it! ID");
		     			retur = c1.getString(c1.getColumnIndex("_id"));
		     			break;
		     		}
		     	}
		    	while (c1.moveToNext());
		    }
		    c1.close();
		    Log.i("Permissions", "retur:" + retur);
		    return retur;
		}
		public int findValg(String id) 
		{
			
			Uri allEntries = Uri.parse("content://no.ntnu.provider.settings/permissions");
			Cursor c = getContentResolver().query(allEntries, null, null, null, null);
			
			Log.i("Permissions", "Cursor er:"+ c.getCount());
			String s = null;
			choice = 5;
			
			if (c.moveToFirst())
			{
				do
				{
					s = c.getString(c.getColumnIndex("_id"));
					if (s.equals(id))
					{
						choice = c.getInt(c.getColumnIndex("fake_setting"));
						Log.i("Permissions", "valg:" + choice);
					}
				} while (c.moveToNext());
			}
			c.close();
			return choice;
		} 
			
		     
		 
}
