package com.location.finder;

import android.app.Activity;
import android.app.Dialog;
import android.location.Address;
import android.location.Geocoder;
import android.location.Location;
import android.location.LocationManager;
import android.net.Uri;
import android.os.Build;
import android.os.Bundle;

import java.io.IOException;
import java.util.List;
import java.util.Locale;
import java.util.regex.Pattern;

import android.app.Activity;
import android.content.Context;
//import android.location.Criteria;
//import android.location.Location;
//import android.location.LocationManager;
//import android.location.LocationListener;
//import android.location.LocationProvider;
import android.text.util.Linkify;
import android.util.Log;
import android.view.View;
import android.widget.Button;
import android.widget.TextView;
import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.Intent;
import android.database.Cursor;


public class LocationFinder extends Activity {
    /** Called when the activity is first created. */
	public static final String LOCFINDER_GPS_REQ = "com.location.finder.action.LOCFINDER_GPS_REQ";
	
	
	public static Double latitud = -1.00;
	public static Double longitud = -1.00;
	public static String address=""; 
	static List <Address> addresses = null;
	public static String latLongString;
	public static String addressString; 
	public static String url= " No news available at the moment,\n please try again in a few seconds";
  
    
    
	
    @Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.main);
        
      Intent i = new Intent();
    	i.setAction(LOCFINDER_GPS_REQ);
    	
    	startService(i);
    	
     	
    	Button button = (Button) findViewById(R.id.button1);
    	
    	button.setOnClickListener(new View.OnClickListener() {
        	public void onClick(View v) {
        		  Intent i = new Intent();
        	    	i.setAction(LOCFINDER_GPS_REQ);
        	    	startService(i);
        		updateWithNewLocation();
        	 
    		}
    		});
    }
    public static void getLocationCoord(Double la, Double lo){
    	latitud = la;
    	longitud = lo;
    	
    }
    
    

    public void updateWithNewLocation() {
      
    	
    	latLongString = "Lat:" + latitud + ", Long:" + longitud;
    	
    	Locale locale2 = new Locale("en"); 
    	Locale.setDefault(locale2);
    		Geocoder gc = new Geocoder(this,Locale.getDefault());
    		try {
    		
    			addresses = gc.getFromLocation(latitud, longitud, 3);
    		} catch (IOException e) {
    	        if("sdk".equals( Build.PRODUCT )) {
    	        	
                    addresses = GeoCoder.getFromLocation(latitud, longitud, 3);
        		
        			
        		
    	       } else
    	                e.printStackTrace();
    	       }
    			
    			
    			StringBuilder sb = new StringBuilder();
    			StringBuilder ci = new StringBuilder();
    			StringBuilder st = new StringBuilder();
    			StringBuilder co = new StringBuilder();
    			
    			if (addresses.size() > 0) {
    				//Log.i("feilsking", "Addresselisten er strre enn 0");
    				Address address = addresses.get(0);
    					
    						sb.append("Country:").append(address.getCountryName()).append("\n");
    						//sb.append("Countrycode:").append(address.getCountryCode()).append("\n");
    						sb.append("State:").append(address.getAdminArea()).append("\n");
    						sb.append("City:").append(address.getLocality()).append("\n");
    						sb.append("Address:").append(address.getThoroughfare()).append("\n");
    						ci.append(address.getLocality());
    						st.append(address.getAdminArea());
    						co.append(address.getCountryCode());
    						
    			addressString = sb.toString();
    			String city = ci.toString();
    			String state = st.toString();
    			String country = co.toString();
    			Log.i("City + State + Country: ", city+state+country);
    				if(city.matches("Trondheim") == true){
    					url = "\n http://m.byavisa.no \n http://www.adressa.no \n http://www.vg.no \n http://www.dagbladet.no";
    	    	//	Log.i("feilsking:","city matches Trondheim:"+city);
    				}else if(state.matches("Sr-Trndelag") == true){
    					url = "\n http://www.adressa.no \n http://www.vg.no \n http://www.dagbladet.no";
    	    	
    				}else if(state.matches("Buskerud") == true){
    					url = "\n http://dt.no \n http://www.vg.no \n http://www.dagbladet.no";
    				}else if(country.matches("NO") == true){
    					url = "\n http://www.vg.no \n http://www.dagbladet.no";
    				}
    			
    			}else{ addressString = "No address found";
    					url = " No news available,\n Please make sure that your GPS is turned on";
    				}
    	
    			TextView tv = (TextView) findViewById(R.id.text1);
    			tv.setText("Your Current Position is:\n \n" + latLongString + "\n" + addressString);
    			
    			
    			TextView viewURL = (TextView) findViewById(R.id.text2);
    			Linkify.addLinks(viewURL, Linkify.WEB_URLS);
    			viewURL.setText(url);
    
    	
    		}
    
}

    	